import axiosClient from "../NodeServices/index";
import { GET_PROFILE_URL, ADD_NEW_PROFILE_URL, DELETE_PROFILE_URL, EDIT_PROFILE_URL } from "../../constans/Profile";

const profileAPI = {
  getProfilesService: (params) => {
    return axiosClient.get(`${GET_PROFILE_URL}?current_page=${params.currentPage}&page_limit=${params.limit}`);
  },
  addNewProfileService: (params) => {
    return axiosClient.post(ADD_NEW_PROFILE_URL, { ...params });
  },
  deleteProfileService: (profileId) => {
    return axiosClient.delete(DELETE_PROFILE_URL, { params: { profile_id: profileId } });
  },
  editProfileService: (params) => {
    return axiosClient.patch(`${EDIT_PROFILE_URL}?profile_id=${params.profile_id}`, { ...params });
  },
};

export default profileAPI;