import axios from "axios";
import queryString from "query-string";

const axiosClient = axios.create({
  baseURL: process.env.REACT_APP_BASE_URL_AQBITS_TRACE_CODE,
  headers: {
    "content-text": "application/json",
  },
  paramsSerializer: (params) => queryString.stringify(params),
});

axiosClient.interceptors.request.use(
  async (config) => {
    const idToken = localStorage.getItem("id_token");
    const accessToken = localStorage.getItem("access_token");
    if (idToken) {
      config.headers = {
        Authorization: `${idToken}`,
        AccessToken: `${accessToken}`
      };
    }
    return config;
  },
  (error) => {
    Promise.reject(error);
  }
);

export default axiosClient;
