import { all, put, takeLatest } from "redux-saga/effects";
import * as actionTypes from "../../constans/Profile";

import { loadListProfile, addProfileSuccess, addProfileFailed, deleteProfileSuccess, deleteProfileFailed, editProfileSuccess, editProfileFailed } from "../actions/ProfileAction";
import profileAPI from "../../services/NodeServices/Profile";


export function* loadListProfileSaga(action) {
  try {
    const response = yield profileAPI.getProfilesService(action.params);
    const statusCode = response.data.statusCode;
    if(statusCode === 200){
      const dataListProfile = JSON.parse(response.data.body);
      console.log("dataListProfile", dataListProfile);
      yield put(loadListProfile(dataListProfile.data));
    }else {
      yield put(loadListProfile([]));
    }
  } catch (error) {
    yield put(loadListProfile([]));
  }
}

// export function* addProfileSaga(action) {
//   try {
//     yield profileAPI.addNewProfileService(action.params);
//     yield put(addProfileSuccess(action.params));
//   } catch (error) {
//     yield put(addProfileFailed({}));
//   }
// }

// export function* deleteProfileSaga(action) {
//   try {
//     yield profileAPI.deleteProfileService(action.profileId);
//     yield put(deleteProfileSuccess(action.profileId));
//   } catch (error) {
//     yield put(deleteProfileFailed());
//   }
// }

// export function* editProfileSaga(action) {
//   try {
//     yield profileAPI.editProfileService(action.params);
//     yield put(editProfileSuccess(action.params));
//   } catch (error) {
//     yield put(editProfileFailed());
//   }
// }

function* watchProfileSaga() {
  yield all([
    takeLatest(actionTypes.LOAD_LIST_PROFILE, loadListProfileSaga),
    // takeLatest(actionTypes.ADD_PROFILE, addProfileSaga),
    // takeLatest(actionTypes.DELETE_PROFILE, deleteProfileSaga),
    // takeLatest(actionTypes.EDIT_PROFILE, editProfileSaga),
  ]);
}

export default watchProfileSaga;
