/*!

=========================================================
* Argon Design System React - v1.1.0
=========================================================

* Product Page: https://www.creative-tim.com/product/argon-design-system-react
* Copyright 2020 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://github.com/creativetimofficial/argon-design-system-react/blob/master/LICENSE.md)

* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

*/
import React, { useState, useEffect } from "react";
// nodejs library that concatenates classes
import classnames from "classnames";
// reactstrap components
import {
  FormGroup,
  Input,
  InputGroupAddon,
  InputGroupText,
  InputGroup,
  Container,
  Row,
  Col,
  Button,
  Form
} from "reactstrap";
import { useHistory } from 'react-router-dom';
import dummyData from "../../data/index.json";

const Inputs = () => {
  const [searchProfile, setSearchProfile] = useState("");
  const history = useHistory();

  const handleChangeSearch = (event) => {
    setSearchProfile(event.target.value);
  }

  const onHandleSearch = (event) => {
    event.preventDefault();
    if(!searchProfile) return;
    const nameCode = dummyData.data.map(item => item.code);
    console.log("nameCode", nameCode);
    const checkSearch = nameCode.indexOf(searchProfile);
    console.log("checkSearch", checkSearch);
    if(checkSearch !== -1){
      history.push({
        pathname: `/profile/${searchProfile}`,
        state: { code_name: searchProfile }
      });
    }else {
      history.push("/not-found");
    }
  }

    return (
      <>
        <section className="section pb-0 section-components">
          <Container className="mb-5">
            {/* Inputs */}
            <h3 className="h4 text-success mb-4 font-weight-bold text-center">Tra cứu thông tin</h3>
            {/* <Row className="mb-4">
              <Col></Col>
              <Col>
                
              </Col>
              <Col className="text-right">
                <Button className="btn-1" color="primary" size="sm" type="button" onClick={onHandleCreateProfile}>
                  Tạo mới
                </Button>
              </Col>
            </Row> */}
            {/* <div className="mb-3">
              <small className="text-uppercase font-weight-bold">
                Form controls
              </small>
            </div> */}
            <Form className="justify-content-center" onSubmit={onHandleSearch}>
              <FormGroup
              // className={classnames({
              //   focused: this.state.searchFocused
              // })}
              >
                <InputGroup className="mb-4">
                  <InputGroupAddon addonType="prepend">
                    <InputGroupText>
                      <i className="ni ni-zoom-split-in" />
                    </InputGroupText>
                  </InputGroupAddon>
                  <Input
                    placeholder="Tìm kiếm"
                    type="text"
                    // onFocus={e => this.setState({ searchFocused: true })}
                    // onBlur={e => this.setState({ searchFocused: false })}
                    value={searchProfile}
                    onChange={handleChangeSearch}
                  />
                </InputGroup>
              </FormGroup>
              <div className="text-center">
                <Button className="btn-1" color="primary" type="submit">
                  Tìm kiếm
                </Button>
              </div>
            </Form>
            {/* <Row className="justify-content-center">
              <Col lg="4" sm="6">
                <FormGroup>
                  <Input placeholder="Regular" type="text" />
                </FormGroup>
              </Col>
              
              <Col lg="4" sm="6">
                <FormGroup>
                  <Input disabled placeholder="Regular" type="text" />
                </FormGroup>
                <FormGroup
                  className={classnames({
                    focused: this.state.birthdayFocused
                  })}
                >
                  <InputGroup className="mb-4">
                    <Input
                      placeholder="Birthday"
                      type="text"
                      onFocus={e => this.setState({ birthdayFocused: true })}
                      onBlur={e => this.setState({ birthdayFocused: false })}
                    />
                    <InputGroupAddon addonType="append">
                      <InputGroupText>
                        <i className="ni ni-zoom-split-in" />
                      </InputGroupText>
                    </InputGroupAddon>
                  </InputGroup>
                </FormGroup>
              </Col>
              <Col lg="4" sm="6">
                <FormGroup className="has-success">
                  <Input
                    className="is-valid"
                    placeholder="Success"
                    type="text"
                  />
                </FormGroup>
                <FormGroup className="has-danger">
                  <Input
                    className="is-invalid"
                    placeholder="Error Input"
                    type="email"
                  />
                </FormGroup>
              </Col>
            </Row> */}
          </Container>
          {/* <div className="py-5 bg-secondary">
            <Container>
              Inputs (alternative)
              <div className="mb-3">
                <small className="text-uppercase font-weight-bold">
                  Form controls (alternative)
                </small>
              </div>
              <Row>
                <Col lg="4" sm="6">
                  <FormGroup>
                    <Input
                      className="form-control-alternative"
                      placeholder="Regular"
                      type="text"
                    />
                  </FormGroup>
                  <FormGroup
                    className={classnames({
                      focused: this.state.searchAltFocused
                    })}
                  >
                    <InputGroup className="input-group-alternative mb-4">
                      <InputGroupAddon addonType="prepend">
                        <InputGroupText>
                          <i className="ni ni-zoom-split-in" />
                        </InputGroupText>
                      </InputGroupAddon>
                      <Input
                        placeholder="Search"
                        type="text"
                        onFocus={e => this.setState({ searchAltFocused: true })}
                        onBlur={e => this.setState({ searchAltFocused: false })}
                      />
                    </InputGroup>
                  </FormGroup>
                </Col>
                <Col lg="4" sm="6">
                  <FormGroup>
                    <Input
                      className="form-control-alternative"
                      disabled
                      placeholder="Regular"
                      type="text"
                    />
                  </FormGroup>
                  <FormGroup
                    className={classnames({
                      focused: this.state.birthdayAltFocused
                    })}
                  >
                    <InputGroup className="input-group-alternative mb-4">
                      <Input
                        placeholder="Birthday"
                        type="text"
                        onFocus={e =>
                          this.setState({ birthdayAltFocused: true })
                        }
                        onBlur={e =>
                          this.setState({ birthdayAltFocused: false })
                        }
                      />
                      <InputGroupAddon addonType="append">
                        <InputGroupText>
                          <i className="ni ni-zoom-split-in" />
                        </InputGroupText>
                      </InputGroupAddon>
                    </InputGroup>
                  </FormGroup>
                </Col>
                <Col lg="4" sm="6">
                  <FormGroup className="has-success">
                    <Input
                      className="form-control-alternative is-valid"
                      placeholder="Success"
                      type="text"
                    />
                  </FormGroup>
                  <FormGroup className="has-danger">
                    <Input
                      className="form-control-alternative is-invalid"
                      placeholder="Error Input"
                      type="email"
                    />
                  </FormGroup>
                </Col>
              </Row>
            </Container>
          </div> */}
        </section>
      </>
    );
}

export default Inputs;
